[arch-commits] Commit in dssi/trunk (LICENSE PKGBUILD trivial_sampler_qt_gui.cpp.diff)

Eric Bélanger eric at archlinux.org
Mon Feb 23 21:07:38 UTC 2009


    Date: Monday, February 23, 2009 @ 16:07:38
  Author: eric
Revision: 27595

upgpkg: dssi 1.0.0-1
    upstream update, added license, libtool-slay, PKGBUILD cleanup

Added:
  dssi/trunk/LICENSE
Modified:
  dssi/trunk/PKGBUILD
Deleted:
  dssi/trunk/trivial_sampler_qt_gui.cpp.diff

---------------------------------+
 LICENSE                         |   77 ++++++++++++++++++++++++++++++++++++++
 PKGBUILD                        |   33 +++++-----------
 trivial_sampler_qt_gui.cpp.diff |    2 
 3 files changed, 89 insertions(+), 23 deletions(-)

Added: LICENSE
===================================================================
--- LICENSE	                        (rev 0)
+++ LICENSE	2009-02-23 21:07:38 UTC (rev 27595)
@@ -0,0 +1,77 @@
+Licensing
+---------
+
+The DSSI API itself (dssi.h) is licensed under the GNU Lesser General
+Public License.  See COPYING for details.
+
+The jack-dssi-host is provided under a BSD-style license.  This means
+you can do anything you want with it so long as you retain the
+copyright attribution and license information.  See the source files
+for details.
+
+Licensing for the files in the examples directory may vary: please
+check the individual files for details.  Most of them are in the
+public domain, which means you can use them for anything you want.
+
+
+
+/* jack-dssi-host.c
+ *
+ * DSSI Soft Synth Interface
+ *
+ * This is a host for DSSI plugins.  It listens for MIDI events on an
+ * ALSA sequencer port, delivers them to DSSI synths and outputs the
+ * result via JACK.
+ *
+ * This program expects the names of up to 16 DSSI synth plugins, in
+ * the form '<dll-name>:<label>',* to be provided on the command line.
+ * If just '<dll-name>' is provided, the first plugin in the DLL is
+ * is used.  MIDI channels are assigned to each plugin instance, in
+ * order, beginning with channel 0 (zero-based).  A plugin may be
+ * easily instantiated multiple times by preceding its name and label
+ * with a dash followed immediately by the desired number of instances,
+ * e.g. '-3 my_plugins.so:zoomy' would create three instances of the
+ * 'zoomy' plugin.
+ */
+
+/*
+ * Copyright 2004, 2009 Chris Cannam, Steve Harris and Sean Bolton.
+ * 
+ * Permission to use, copy, modify, distribute, and sell this software
+ * for any purpose is hereby granted without fee, provided that the
+ * above copyright notice and this permission notice are included in
+ * all copies or substantial portions of the software.
+ */
+
+
+/*
+ *  This program is in the public domain
+ *
+ *  $Id: dssi_osc_send.c,v 1.5 2004/07/04 22:24:51 smbolton Exp $
+ */
+
+/*
+ *  This program is in the public domain
+ *
+ *  $Id: dssi_osc_update.c,v 1.6 2005/10/12 17:08:26 smbolton Exp $
+ */
+
+/* less_trivial_synth.c
+
+   DSSI Soft Synth Interface
+   Constructed by Chris Cannam, Steve Harris and Sean Bolton
+
+   This is an example DSSI synth plugin written by Steve Harris.
+
+   This example file is in the public domain.
+*/
+
+/* trivial_sampler.c
+
+   DSSI Soft Synth Interface
+   Constructed by Chris Cannam, Steve Harris and Sean Bolton
+
+   A straightforward DSSI plugin sampler.
+
+   This example file is in the public domain.
+*/

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-02-23 13:41:53 UTC (rev 27594)
+++ PKGBUILD	2009-02-23 21:07:38 UTC (rev 27595)
@@ -3,32 +3,23 @@
 # Contributor: Pajaro
 
 pkgname=dssi
-pkgver=0.9.1
-pkgrel=3
-fluidsynthversion=1.0.7a
+pkgver=1.0.0
+pkgrel=1
 pkgdesc="DSSI is an API for audio plugins, with particular application for software synthesis plugins with native user interfaces."
 arch=("i686" "x86_64")
 url="http://dssi.sourceforge.net/"
-license=""
-depends=('liblo>=0.22' 'qt3' 'pkgconfig' 'flac>=1.1.4' 'jack-audio-connection-kit' 'libsamplerate')
-makedepends=('ladspa')
+license=('LGPL' 'BSD' 'custom')
+depends=('liblo>=0.22' 'qt3' 'flac>=1.1.4' 'jack-audio-connection-kit' 'libsamplerate')
+makedepends=('ladspa' 'pkgconfig')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/sourceforge/dssi/$pkgname-$pkgver.tar.gz LICENSE)
+md5sums=('bc4c50f9f9b3cd13019718266f8f15af' '258ca4d0ca28c5c4d4675147621fac18')
 
-source=("http://downloads.sourceforge.net/sourceforge/dssi/$pkgname-$pkgver.tar.gz" \
-    "http://savannah.nongnu.org/download/fluid/fluidsynth-$fluidsynthversion.tar.gz" \
-     "trivial_sampler_qt_gui.cpp.diff")
-md5sums=('1a353c3ae80328cded838853ddf52164' '0f73d47990d859f19b8e9840bdab5c60'\
-         '7f9755169045de1ce3a3ba53fec78e1b')
-
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd $srcdir/$pkgname-$pkgver
   . /etc/profile.d/qt3.sh
-  cd examples
-  patch trivial_sampler_qt_gui.cpp < ../../../trivial_sampler_qt_gui.cpp.diff
-  cd ..
-
-#  export FLUID='$startdir/src/fluidsynth-$fluidsynthversion'
-  export FLUID='$startdir/src/fluidsynth-1.0.7'
-  ./configure --prefix=/usr
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
+  install -D -m644 $srcdir/LICENSE $pkgdir/usr/share/licenses/$pkgname/LICENSE
 }

Deleted: trivial_sampler_qt_gui.cpp.diff
===================================================================
--- trivial_sampler_qt_gui.cpp.diff	2009-02-23 13:41:53 UTC (rev 27594)
+++ trivial_sampler_qt_gui.cpp.diff	2009-02-23 21:07:38 UTC (rev 27595)
@@ -1,2 +0,0 @@
-26a27
-> #include <math.h>




More information about the arch-commits mailing list